import { EntryType, PinDbEntity, TransactionDbEntity, SyncQueueStatus } from '../../../../CozoDb/types/entities';
import { NeuronAddress, ParticleCid } from '../../../types/base';
import { CozoDbWorker } from '../../../../backend/workers/db/worker';
import { LinkDto, ParticleDto, SyncQueueDto, SyncStatusDto } from '../../../../CozoDb/types/dto';
import { SenseListItem, SenseUnread } from '../../../../backend/types/sense';
import { SyncQueueItem } from '../../sync/services/ParticlesResolverQueue/types';
declare class DbApiWrapper {
    private db;
    init(dbApi: CozoDbWorker): void;
    getSyncStatus(ownerId: NeuronAddress, id: NeuronAddress | ParticleCid): Promise<import("../../../../CozoDb/types/dto").DbEntityToDto<import("../../../../CozoDb/types/entities").SyncStatusDbEntity>>;
    putSyncStatus(entity: SyncStatusDto[] | SyncStatusDto): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    updateSyncStatus(entity: Partial<SyncStatusDto> & {
        id: NeuronAddress | ParticleCid;
        ownerId: NeuronAddress;
    }): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    findSyncStatus({ ownerId, entryType, id, }: {
        ownerId?: NeuronAddress;
        entryType?: EntryType;
        id?: NeuronAddress | ParticleCid;
    }): Promise<Partial<import("../../../../CozoDb/types/dto").DbEntityToDto<import("../../../../CozoDb/types/entities").SyncStatusDbEntity>>[]>;
    putTransactions(transactions: TransactionDbEntity[]): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    putPins(pins: PinDbEntity[] | PinDbEntity): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    getPins(withType?: boolean): Promise<import("../../../../CozoDb/types/types").IDBResult>;
    deletePins(pins: ParticleCid[]): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    putParticles(particles: ParticleDto[] | ParticleDto): Promise<void>;
    getParticles(fields: string[]): Promise<import("../../../../CozoDb/types/types").IDBResult>;
    getSenseList(myAddress?: NeuronAddress): Promise<SenseListItem[]>;
    getSenseSummary(myAddress?: NeuronAddress): Promise<SenseUnread[]>;
    senseMarkAsRead(ownerId: NeuronAddress, id: NeuronAddress | ParticleCid): Promise<void>;
    getTransactions(neuron: NeuronAddress, order?: 'desc' | 'asc'): Promise<import("../../../../CozoDb/types/dto").DbEntityToDto<TransactionDbEntity>[]>;
    getMyChats(myAddress: NeuronAddress, userAddress: NeuronAddress): Promise<any>;
    putCyberlinks(links: LinkDto[] | LinkDto): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    putSyncQueue(item: SyncQueueItem[] | SyncQueueItem): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    updateSyncQueue(item: Partial<SyncQueueDto>[] | Partial<SyncQueueDto>): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    removeSyncQueue(id: ParticleCid): Promise<import("../../../../CozoDb/types/types").IDBResult | import("../../../../CozoDb/types/types").IDBResultError>;
    getSyncQueue({ statuses, limit, }: {
        statuses: SyncQueueStatus[];
        limit?: number;
    }): Promise<SyncQueueDto[]>;
    getLinks(cid: ParticleCid): Promise<import("../../../../CozoDb/types/dto").DbEntityToDto<import("../../../../CozoDb/types/entities").LinkDbEntity>[]>;
}
export default DbApiWrapper;
